use super::node::GraphNode;
use super::SignalGraph;

pub fn add_file_node(graph: &mut SignalGraph, path: &str) -> usize {
    let idx = graph.nodes.len();
    graph.nodes.push(GraphNode::File(path.to_string()));
    idx
}
